Get a Substack publication by subdomain, custom domain, URL or ID. Returns name, tagline, logo, author, the subscriber badge and paid-subscriber band Substack displays, bestseller tier, subscription prices, podcast flag, language, launch dates and the publication's contributors.
curl "https://apidirect.io/v1/substack/publication?publication=lenny" -H "X-API-Key: YOUR_API_KEY"
{
"publication": {
"author": "lenny",
"author_id": "1849774",
"author_name": "Lenny Rachitsky",
"author_pic_url": "",
"author_url": "https://substack.com/@lenny",
"bestseller_tier": 10000,
"contributors": [
{
"bestseller_tier": 0,
"biography": "Student of products. I write to learn, share and meet kindred spirits ✨. ",
"full_name": "Kiyani",
"is_byline_only": false,
"profile_pic_url": "https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/48e9d3e5-91eb-41be-9701-420b01f6585f_313x321.jpeg",
"url": "https://substack.com/@kiyani",
"user_id": "3667529",
"username": "kiyani"
}
],
"cover_image_url": "https://substack-post-media.s3.amazonaws.com/public/images/4a25905e-c484-4885-80fa-9c2e683e362b_592x592.png",
"created_at": "2019-06-01 15:35:37",
"custom_domain": "www.lennysnewsletter.com",
"description": "Deeply researched product, growth, and career advice for product leaders, founders, and ambitious builders.\n",
"domain": "substack.com",
"first_post_date": "2019-06-14 15:00:48",
"founding_plan_name": "",
"has_chat": false,
"has_podcast": true,
"has_recommendations": false,
"is_bestseller": true,
"language": "en",
"logo_url": "https://substackcdn.com/image/fetch/$s_!8MSN!,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fsubstack-post-media.s3.amazonaws.com%2Fpublic%2Fimages%2F…",
"logo_url_wide": "",
"name": "Lenny's Newsletter",
"paid_enabled": true,
"paid_subscriber_band": "Tens of thousands of paid subscribers",
"paid_subscriber_floor": 10000,
"plans": [
{
"amount": 20.0,
"currency": "USD",
"interval": "month"
}
],
"podcast": null,
"publication_id": "10845",
"ranking_detail": "Tens of thousands of paid subscribers",
"sections": [],
"source": "Substack",
"subdomain": "lenny",
"subscriber_count": 1200000,
"subscriber_count_label": "1.2M+",
"twitter_handle": "lennysan",
"type": "newsletter",
"url": "https://www.lennysnewsletter.com"
}
}
No. Substack publishes a rounded free-subscriber figure (subscriber_count, with the badge in subscriber_count_label) and a band for paid subscribers (paid_subscriber_band). Small publications often show only a band, in which case subscriber_count is null.
A subdomain (lenny), a Substack host (lenny.substack.com), a custom domain (www.lennysnewsletter.com), any URL on the publication, or its numeric publication_id.
You only pay for successful requests. The Substack Publication Details API costs $0.003 per request. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key